### Method

# Clutter PaintNode add_texture_rectangles

#### Declaration [src]

    void
    clutter_paint_node_add_texture_rectangles (
      ClutterPaintNode* node,
      const float* coords,
      unsigned int n_rects
    )

#### Description [src]

Adds a series of rectangles to `node`.

The given texture coordinates should always be normalized such that (0, 0) corresponds to the top left and (1, 1) corresponds to the bottom right. To map an entire texture across the rectangle pass in s_1=0, t_1=0, s_2=1, t_2=1.

See cogl_framebuffer_draw_textured_rectangles().

#### Parameters

`coords`

  Type: An array of `float`

  Array containing groups of 8 float values: [x_1, y_1, x_2, y_2, s_1, t_1, s_2, t_2] that have the same meaning as the arguments for cogl_framebuffer_draw_textured_rectangle().

  The length of the array is specified in the `n_rects` argument.
  The data is owned by the caller of the method.

`n_rects`

  Type: `unsigned int`

  Number of rectangles defined in `coords`.